net.sf.jasperreports.components.map

## Class MapElementXlsxHandler

- java.lang.Object
- - net.sf.jasperreports.components.map.MapElementXlsxHandler

- All Implemented Interfaces:
    GenericElementHandler, GenericElementXlsxHandler

      public class MapElementXlsxHandler
      extends java.lang.Object
      implements GenericElementXlsxHandler

  Version:
    $Id: MapElementXlsxHandler.java 6737 2013-11-13 14:31:19Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapElementXlsxHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportElement(JRXlsxExporterContext exporterContext, JRGenericPrintElement element, JRExporterGridCell gridCell, int colIndex, int rowIndex)` Exports a generic element.
    `JRPrintImage` | `getImage(JRXlsxExporterContext exporterContext, JRGenericPrintElement element)` Creates an equivalent image of the `JRGenericPrintElement` element to be exported instead.
    `static MapElementXlsxHandler` | `getInstance()`
    `boolean` | `toExport(JRGenericPrintElement element)` Decides whether a generic print element is to be exported.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapElementXlsxHandler

          public MapElementXlsxHandler()

  - ### Method Detail

    - #### getInstance

          public static MapElementXlsxHandler getInstance()

    - #### exportElement

          public void exportElement(JRXlsxExporterContext exporterContext,
                           JRGenericPrintElement element,
                           JRExporterGridCell gridCell,
                           int colIndex,
                           int rowIndex)

      Description copied from interface: `GenericElementXlsxHandler`
      Exports a generic element.

      Access to the exporter output and environment is provided via the `JRXlsxExporterContext` argument.

      Specified by:
        `exportElement` in interface `GenericElementXlsxHandler`
      Parameters:
        `exporterContext` - the exporter context
        `element` - the generic element to export

    - #### toExport

          public boolean toExport(JRGenericPrintElement element)

      Description copied from interface: `GenericElementHandler`
      Decides whether a generic print element is to be exported.
      Specified by:
        `toExport` in interface `GenericElementHandler`
      Parameters:
        `element` - the element
      Returns:
        whether the element is to be exported or skipped

    - #### getImage

          public JRPrintImage getImage(JRXlsxExporterContext exporterContext,
                              JRGenericPrintElement element)
                                throws JRException

      Description copied from interface: `GenericElementXlsxHandler`
      Creates an equivalent image of the `JRGenericPrintElement` element to be exported instead.
      Specified by:
        `getImage` in interface `GenericElementXlsxHandler`
        `element` - the generic element to export
      Returns:
        JRPrintImage the equivalent image
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com